react native开发中遇到的坑 持续更新中 ......(原创)

react native开发中遇到的问题

1、安卓打包的时候会出现


╳.java:41:错误:方法不会覆盖或@Override等字样时,按照提示的错误路径找到这个报错的文件把这一行的@Override删除或者注释掉错误就可以消除了

2、安卓打包的时候会出现

  The SDK Build Tools revision (23.0.3) is too low for project ':react-native-smart-barcode'. Minimum required is              25.0.0

  解决办法:在node_module中找到你的这个第三方组件 打开android/build.gradle文件,把改         为25.0.0以上即可,此时错误解决

3.加载本地图片时会报Unexcepted character,并且路径是对的。

 出现这种问题的可能是你修改了本地图片的名字或者在本地添加了新的图片文件

解决办法:关闭服务重启packager,reload就行了。

没有更多推荐了,返回首页

私密
私密原因:
请选择设置私密原因
  • 广告
  • 抄袭
  • 版权
  • 政治
  • 色情
  • 无意义
  • 其他
其他原因:
120
出错啦
系统繁忙,请稍后再试